Bug 1656657 - No secrets dropdown in buildconfig edit page if any of the secrets has no data
Summary: No secrets dropdown in buildconfig edit page if any of the secrets has no data
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 3.11.0
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
: 3.11.z
Assignee: Jakub Hadvig
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On: 1633285 1656660
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-06 02:14 UTC by Yadan Pei
Modified: 2019-01-30 15:19 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1633285
Environment:
Last Closed: 2019-01-30 15:19:31 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0096 None None None 2019-01-30 15:19:34 UTC

Comment 3 Yanping Zhang 2019-01-17 03:05:02 UTC
Tested on ocp env with version: v3.11.69
Steps to test:
1. Create app in project:
# oc new-app https://github.com/openshift/nodejs-ex.git
2. Create secret in project:
$ cat >secret.yaml <<EOF
apiVersion: v1
data:
kind: Secret
metadata:
  name: my-secret
type: Opaque
EOF
$ oc create -f secret.yaml
3. Check on bc edit page, there is secret dropdown list under each type of secret, eg, "Source Secret", "Pull Secret", "Push Secret", "Build Secret".


The bug has been fixed, so move it to Verified.

Comment 5 errata-xmlrpc 2019-01-30 15:19:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0096


Note You need to log in before you can comment on or make changes to this bug.